import { expect, tap } from '@pushrocks/tapbundle'
import * as gitlab from '../ts/index';

let testGitlabAccount: gitlab.GitlabAccount;

tap.test('should create an anonymous Gitlab Account', async () => {
  testGitlabAccount = gitlab.GitlabAccount.createAnonymousAccount();
  expect(testGitlabAccount).to.be.instanceOf(gitlab.GitlabAccount);
});

tap.test('should get the pushrocks group', async () => {
  const pushrocksGroup = await testGitlabAccount.getGroupByName('pushrocks');
  expect(pushrocksGroup).to.be.instanceOf(gitlab.GitlabGroup);
  console.log(pushrocksGroup);
});

tap.test('should get the pushrocks group', async () => {
  const pushrocksGroup = await testGitlabAccount.getGroupByName('pushrocks');
  expect(pushrocksGroup).to.be.instanceOf(gitlab.GitlabGroup);
  await pushrocksGroup.getProjects();
});

tap.start();
